Ginkgo: gko::multigrid::FixedCoarsening< ValueType, IndexType > Class Template Reference

| Ginkgo Generated from branch based on main. Ginkgo version 1.11.0 A numerical linear algebra library targeting many-core architectures

Loading...
Searching...
No Matches
gko::multigrid::FixedCoarsening< ValueType, IndexType > Class Template Reference
Linear Operators

FixedCoarsening is a very simple coarse grid generation algorithm. More...

`#include <ginkgo/core/multigrid/fixed_coarsening.hpp>`

Inheritance diagram for gko::multigrid::FixedCoarsening< ValueType, IndexType >:
[legend]
Collaboration diagram for gko::multigrid::FixedCoarsening< ValueType, IndexType >:
[legend]

## Classes
struct | parameters_type
class | Factory

## Public Types
using | value_type = ValueType
using | index_type = IndexType
Public Types inherited from gko::EnablePolymorphicAssignment< FixedCoarsening< default_precision, int32 > >
using | result_type
Public Types inherited from gko::multigrid::EnableMultigridLevel< default_precision >
using | value_type
Public Types inherited from gko::UseComposition< default_precision >
using | value_type

## Public Member Functions
std::shared_ptr< const LinOp > | get_system_matrix () const
| Returns the system operator (matrix) of the linear system.
const parameters_type & | get_parameters () const
Public Member Functions inherited from gko::EnableLinOp< FixedCoarsening< default_precision, int32 > >
const FixedCoarsening< default_precision, int32 > * | apply (ptr_param< const LinOp > b, ptr_param< LinOp > x) const
Public Member Functions inherited from gko::EnablePolymorphicAssignment< FixedCoarsening< default_precision, int32 > >
void | convert_to (result_type *result) const override
void | move_to (result_type *result) override
Public Member Functions inherited from gko::multigrid::EnableMultigridLevel< default_precision >
std::shared_ptr< const LinOp > | get_fine_op () const override
| Returns the operator on fine level.
std::shared_ptr< const LinOp > | get_restrict_op () const override
| Returns the restrict operator.
std::shared_ptr< const LinOp > | get_coarse_op () const override
| Returns the operator on coarse level.
std::shared_ptr< const LinOp > | get_prolong_op () const override
| Returns the prolong operator.
Public Member Functions inherited from gko::UseComposition< default_precision >
std::shared_ptr< Composition< default_precision > > | get_composition () const
| Returns the composition operators.
std::shared_ptr< const LinOp > | get_operator_at (size_type index) const
| Returns the operator at index-th position of composition.

## Static Public Member Functions
static auto | build () -> decltype(Factory::create())

## Friends
class | EnableLinOp< FixedCoarsening >
class | EnablePolymorphicObject< FixedCoarsening, LinOp >

## Detailed Description

template<typename ValueType = default_precision, typename IndexType = int32>
class gko::multigrid::FixedCoarsening< ValueType, IndexType >

FixedCoarsening is a very simple coarse grid generation algorithm.

It selects the coarse matrix from the fine matrix by with user-specified indices.

The user needs to specify the indices (with global numbering) of the fine matrix, they wish to be in the coarse matrix. The restriction and prolongation matrices will map to and from the coarse space without any interpolation or weighting.

Template Parameters

  ValueType | precision of matrix elements
  IndexType | precision of matrix indexes

## Member Function Documentation

## ◆ get_system_matrix()

template<typename ValueType = default_precision, typename IndexType = int32>

std::shared_ptr< const LinOp > gko::multigrid::FixedCoarsening< ValueType, IndexType >::get_system_matrix | ( |  | ) | const
| inline

Returns the system operator (matrix) of the linear system.

Returns
  the system operator (matrix)

The documentation for this class was generated from the following file:

- ginkgo/core/multigrid/fixed_coarsening.hpp